﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.WinControls.UI.Docking;
using Telerik.WinControls;
using Telerik.WinControls.Layouts;
using Telerik.WinControls.UI;
using System.Windows.Forms;

namespace RadDockCustomizations
{
    public class CustomTabStrip : DocumentTabStrip
    {
        public override string ThemeClassName
        {
            get
            {
                return typeof(DocumentTabStrip).FullName;
            }
        }

        protected override void CreateChildItems(RadElement parent)
        {
            base.CreateChildItems(parent);

            DockLayoutPanel dockPanel = this.SplitPanelElement.FindDescendant<DockLayoutPanel>();
            RadButtonElement closeButton = dockPanel.Children[0] as RadButtonElement;
            if (closeButton != null)
            {
                closeButton.Click += new EventHandler(closeButton_Click);
            }

            this.TabStripElement.ItemDragMode = PageViewItemDragMode.None;
        }

        void closeButton_Click(object sender, EventArgs e)
        {
            //close the rest of the documents here
        }
    }
}
