﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.RadControlSpy;
using Telerik.WinControls;
using Telerik.WinControls.UI.Docking;
using Telerik.WinControls.Layouts;
using Telerik.WinControls.UI;

namespace RadDockCustomizations
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ThemeResolutionService.LoadPackageResource("RadDockCustomizations.ControlDefault.tssp");

            this.radDock1.DockTabStripNeeded += new DockTabStripNeededEventHandler(radDock1_DockTabStripNeeded);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            new RadControlSpyForm().Show();

            this.documentWindow1.TabStripItem.Enabled = false;
            DocumentTabStrip tabStrip = this.radDock1.GetDefaultDocumentTabStrip(true);
            if (tabStrip != null)
            {
                tabStrip.TabStripElement.ItemDragMode = PageViewItemDragMode.None;
                DockLayoutPanel dockPanel = tabStrip.SplitPanelElement.FindDescendant<DockLayoutPanel>();
                RadButtonElement closeButton = dockPanel.Children[0] as RadButtonElement;
                closeButton.Click += new EventHandler(closeButton_Click);
            }
        }

        void closeButton_Click(object sender, EventArgs e)
        {
            //close the rest of the documents here
        }

        void radDock1_DockTabStripNeeded(object sender, DockTabStripNeededEventArgs e)
        {
            e.Strip = new CustomTabStrip();
        }
    }    
}
